Moneybird logo
Moneybird API

Identities

Identities are the different profiles or trade names under which you can send documents from your administration.


Retrieve the default identity

GET
https://moneybird.com/api/v2
/{administration_id}/identities/default{format}

Returns the default identity of this administration.

Required scope(s)

settings

Retrieve the default identity › path Parameters

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$Ā Ā·Ā required

The unique identifier of the administration

A unique record identifier

format
​stringĀ Ā·Ā pattern: ^(.(json|xml))?$Ā Ā·Ā required

The format in which the response is given, can be empty to use the default format

Default: .json

Retrieve the default identity › Responses

200

A list of identities

id
​identifierĀ Ā·Ā pattern: ^\d+$

A unique record identifier

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$

A unique record identifier

company_name
​string | null
city
​string | null
country
​string | null
zipcode
​string | null
address1
​string | null
address2
​string | null
email
​string | null
phone
​string | null
bank_account_name
​string | null
bank_account_number
​string | null
bank_account_bic
​string | null
updated_at
​timestampĀ Ā·Ā date-time
created_at
​timestampĀ Ā·Ā date-time
chamber_of_commerce
​string | null
tax_number
​string | null

Updates the default identity

PATCH
https://moneybird.com/api/v2
/{administration_id}/identities/default{format}

Updates the default identity.

Required scope(s)

settings

Updates the default identity › path Parameters

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$Ā Ā·Ā required

The unique identifier of the administration

A unique record identifier

format
​stringĀ Ā·Ā pattern: ^(.(json|xml))?$Ā Ā·Ā required

The format in which the response is given, can be empty to use the default format

Default: .json

Updates the default identity › Request Body

​object

Updates the default identity › Responses

A list of identities

id
​identifierĀ Ā·Ā pattern: ^\d+$

A unique record identifier

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$

A unique record identifier

company_name
​string | null
city
​string | null
country
​string | null
zipcode
​string | null
address1
​string | null
address2
​string | null
email
​string | null
phone
​string | null
bank_account_name
​string | null
bank_account_number
​string | null
bank_account_bic
​string | null
updated_at
​timestampĀ Ā·Ā date-time
created_at
​timestampĀ Ā·Ā date-time
chamber_of_commerce
​string | null
tax_number
​string | null

Retrieve identity by given id

GET
https://moneybird.com/api/v2
/{administration_id}/identities/{id}{format}

Returns the identity with the given id.

Required scope(s)

settings

Retrieve identity by given id › path Parameters

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$Ā Ā·Ā required

The unique identifier of the administration

A unique record identifier

id
​identifierĀ Ā·Ā pattern: ^\d+$Ā Ā·Ā required

A unique record identifier

format
​stringĀ Ā·Ā pattern: ^(.(json|xml))?$Ā Ā·Ā required

The format in which the response is given, can be empty to use the default format

Default: .json

Retrieve identity by given id › Responses

A identity

id
​identifierĀ Ā·Ā pattern: ^\d+$

A unique record identifier

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$

A unique record identifier

company_name
​string | null
city
​string | null
country
​string | null
zipcode
​string | null
address1
​string | null
address2
​string | null
email
​string | null
phone
​string | null
bank_account_name
​string | null
bank_account_number
​string | null
bank_account_bic
​string | null
updated_at
​timestampĀ Ā·Ā date-time
created_at
​timestampĀ Ā·Ā date-time
chamber_of_commerce
​string | null
tax_number
​string | null

Deletes an identity

DELETE
https://moneybird.com/api/v2
/{administration_id}/identities/{id}{format}

Deletes an identity. Always returns a 204 status code even if the identity could not be deleted.

Required scope(s)

settings

Deletes an identity › path Parameters

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$Ā Ā·Ā required

The unique identifier of the administration

A unique record identifier

id
​identifierĀ Ā·Ā pattern: ^\d+$Ā Ā·Ā required

A unique record identifier

format
​stringĀ Ā·Ā pattern: ^(.(json|xml))?$Ā Ā·Ā required

The format in which the response is given, can be empty to use the default format

Default: .json

Deletes an identity › Responses

Identity deleted

No data returned

Updates an identity

PATCH
https://moneybird.com/api/v2
/{administration_id}/identities/{id}{format}

Updates an identity.

Required scope(s)

settings

Updates an identity › path Parameters

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$Ā Ā·Ā required

The unique identifier of the administration

A unique record identifier

id
​identifierĀ Ā·Ā pattern: ^\d+$Ā Ā·Ā required

A unique record identifier

format
​stringĀ Ā·Ā pattern: ^(.(json|xml))?$Ā Ā·Ā required

The format in which the response is given, can be empty to use the default format

Default: .json

Updates an identity › Request Body

​object

Updates an identity › Responses

Identity updated

id
​identifierĀ Ā·Ā pattern: ^\d+$

A unique record identifier

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$

A unique record identifier

company_name
​string | null
city
​string | null
country
​string | null
zipcode
​string | null
address1
​string | null
address2
​string | null
email
​string | null
phone
​string | null
bank_account_name
​string | null
bank_account_number
​string | null
bank_account_bic
​string | null
updated_at
​timestampĀ Ā·Ā date-time
created_at
​timestampĀ Ā·Ā date-time
chamber_of_commerce
​string | null
tax_number
​string | null

Retrieve identities

GET
https://moneybird.com/api/v2
/{administration_id}/identities{format}

An administration can have multiple identities, for example to cover multiple tradenames or offices. This does not include the default identity.

Required scope(s)

settings

Retrieve identities › path Parameters

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$Ā Ā·Ā required

The unique identifier of the administration

A unique record identifier

format
​stringĀ Ā·Ā pattern: ^(.(json|xml))?$Ā Ā·Ā required

The format in which the response is given, can be empty to use the default format

Default: .json

Retrieve identities › Responses

200

A list of identities

id
​identifierĀ Ā·Ā pattern: ^\d+$

A unique record identifier

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$

A unique record identifier

company_name
​string | null
city
​string | null
country
​string | null
zipcode
​string | null
address1
​string | null
address2
​string | null
email
​string | null
phone
​string | null
bank_account_name
​string | null
bank_account_number
​string | null
bank_account_bic
​string | null
updated_at
​timestampĀ Ā·Ā date-time
created_at
​timestampĀ Ā·Ā date-time
chamber_of_commerce
​string | null
tax_number
​string | null

Creates an identity

POST
https://moneybird.com/api/v2
/{administration_id}/identities{format}

Most fields for an identity are required. You can provide zero or more custom fields, for each provided custom field value the id and value are required.

Required scope(s)

settings

Creates an identity › path Parameters

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$Ā Ā·Ā required

The unique identifier of the administration

A unique record identifier

format
​stringĀ Ā·Ā pattern: ^(.(json|xml))?$Ā Ā·Ā required

The format in which the response is given, can be empty to use the default format

Default: .json

Creates an identity › Request Body

​object

Creates an identity › Responses

Identity created

id
​identifierĀ Ā·Ā pattern: ^\d+$

A unique record identifier

administration_id
​administration_idĀ Ā·Ā pattern: ^\d+$

A unique record identifier

company_name
​string | null
city
​string | null
country
​string | null
zipcode
​string | null
address1
​string | null
address2
​string | null
email
​string | null
phone
​string | null
bank_account_name
​string | null
bank_account_number
​string | null
bank_account_bic
​string | null
updated_at
​timestampĀ Ā·Ā date-time
created_at
​timestampĀ Ā·Ā date-time
chamber_of_commerce
​string | null
tax_number
​string | null